<script setup lang="ts">
import SdgButton from '../components/SdgButton.vue';
import { useGameStore } from '../stores/gameStore';
import { useRouter } from 'vue-router';
import { computed } from 'vue';
import EditYourProfile from '../components/EditYourProfile.vue';
const router = useRouter();

const gameStore = useGameStore();
const onClick = () => {
  router.push({ name: 'panel' });
};
const person = computed(() => gameStore.currentUser);
</script>

<template>
  <div class="w-full place-items-center">
    <EditYourProfile :person="person" />
    <SdgButton color="bg-sdg-blue" @onClick="onClick">
      <span class="text-black">Back to sdgpeople!</span>
    </SdgButton>
  </div>
</template>
